<div class="container">
  <div class="row">
  </div>
  <h4>  Faire une réservation pour : {{room.number}}</h4>


  <button (click)="toggleModal()" [ngClass]="{'selected':modalOpen}" class="btn btn-primary">Réserver</button>

  <div class="bg-modal1" *ngIf="modalOpen">
    <div class="modal1">

      <div class="modal-header">
        <h5 class="modal-title text-primary">{{room.number}}</h5>
        <button (click)="toggleModal()" type="button" class="btn-close" data-bs-dismiss="modal"
          aria-label="Close"></button>
      </div>

      <!-- <button (click)="toggleModal()" class="close">X</button> -->

      <form>
        <!-- <h4>{{product.name}}</h4> -->
        <!-- <label for="description">description :</label><br />
        <input type="description" id="description" name="description" [(ngModel)]="booking.description"> -->
        <br />
        <br />
        <label for="date">Date:</label><br />
        <input type="date" id="date" name="date" [(ngModel)]="booking.date">
        <br />
        <br />
        <!-- <input type="submit" value="Envoyer" > -->
        <div class="modal-footer">
          <button (click)="saveRoom()" type="submit" class="btn btn-primary">Envoyer</button>
          <button (click)="toggleModal()" type="button" class="btn btn-danger" data-bs-dismiss="modal">Annuler réservation</button>
        </div>

      </form>
    </div>
  </div>

  <!-- ngif order -->
</div>
